import { AfterViewInit, OnChanges, QueryList } from '@angular/core';
import { NgxSlideshowCardDirective } from './ngx-slideshow-card.directive';
import { DomSanitizer, SafeStyle } from '@angular/platform-browser';
export declare class NgxSlideshowComponent implements AfterViewInit, OnChanges {
    private sanitizer;
    private cardItems;
    cardList: QueryList<NgxSlideshowCardDirective>;
    cards: number;
    padding: string;
    cardSize: any;
    resizeViewport: boolean;
    unit: string;
    index: number;
    trueViewportSize: SafeStyle;
    trueCardSize: SafeStyle;
    truePaddingSize: SafeStyle;
    pixelCardSize: SafeStyle;
    cardWidthSet: boolean;
    private findNumbers;
    SWIPE_ACTION: {
        LEFT: string;
        RIGHT: string;
    };
    constructor(sanitizer: DomSanitizer);
    ngAfterViewInit(): void;
    ngOnChanges(): void;
    right(): void;
    left(): void;
    goTo(i: number): void;
    leftBy(i: number): void;
    rightBy(i: number): void;
    swipe(action?: string): void;
    private convertNumberToUnit;
    setMarginSize: (padding: any) => string;
    __onResize(): void;
}
